Subject: Re: [PATCH v0 5/5] cgroup: Assign subsystem IDs during compile time

From: Tejun Heo <[email-masked]>
Date: Mon, 20 Aug 2012 10:51:47 -0700

Hello, Daniel, Li.

On Fri, Aug 17, 2012 at 10:48:18AM +0200, Daniel Wagner wrote:
> >I think so.
> 
> I am preparing an updated version which does not need the extra 1
> pointer. Some more preprocessor magic involved :)

Please try to refrain from macros as much as possible.  Let's try to
keep things C. :)

> >I'm definitely all for simplicity, but I'm not sure if we can do better in
> >simplifying the code for modularized cgroup subsystem. (I guess you didn't
> >mean to remove this feature?)
> 
> The new version should also be simpler to review because I don't
> have to touch the loops everywhere.

e.g. Why does the proposed code have different variants of
task_cls_classid() for builtin and modular cases?  Why not just use
the same code path if the ID is always static anyway?  Also, longer
term, maybe we can unify root cgroup initialization for built-in and
modular cases?

Thanks.

-- 
tejun